require 'spec_helper'

describe 'feeds/malwaredomains_dyndns-domain_reputation.feed', :feed do
  let(:provider) { 'malwaredomains' }
  let(:name) { 'dyndns_domain_reputation' }

  it_fetches_url 'http://mirror2.malwaredomains.com/files/dynamic_dns.txt'

  describe_parsing_the_file feed_data('malwaredomains_dyndns_domainlist.txt') do
    it "should have parsed 19 records" do
      expect(num_records_parsed).to eq(19)
    end
    it "should have filtered 15 records" do
      expect(num_records_filtered).to eq(15)
    end
  end

  describe_parsing_a_record '1040ezdotcom.com	malicious	siteinspector.comodo.com/' do
    it "should have parsed" do
      expect(status).to eq(:parsed)
    end
    it "should have parsed 1 event" do
      expect(events.count).to eq(1)
    end
	describe 'event 0' do
      subject { events[0] }
      its(:type) { is_expected.to be(:scanning) }
      its(:fqdns) { is_expected.to match_array(['1040ezdotcom.com']) }
    end
  end

  describe_parsing_a_record '1stresponderservices.com	malicious	siteinspector.comodo.com/' do
    it "should have parsed" do
      expect(status).to eq(:parsed)
    end
    it "should have parsed 1 event" do
      expect(events.count).to eq(1)
    end
	describe 'event 0' do
      subject { events[0] }
      its(:type) { is_expected.to be(:scanning) }
      its(:fqdns) { is_expected.to match_array(['1stresponderservices.com']) }
    end
  end
end


