require 'spec_helper'

describe 'feeds/malwaredomains_justdomains-domain_reputation.feed', :feed do
  let(:provider) { 'malwaredomains' }
  let(:name) { 'justdomains_domain_reputation' }

  it_fetches_url 'http://mirror3.malwaredomains.com/files/justdomains'

  describe_parsing_the_file feed_data('malwaredomains_justdomains_domainlist.txt') do
    it "should have parsed 18 records" do
      expect(num_records_parsed).to eq(18)
    end
    it "should have filtered 0 records" do
      expect(num_records_filtered).to eq(0)
    end
  end

  describe_parsing_a_record 'cg79wo20kl92doowfn01oqpo9mdieowv5tyj.com' do
    it "should have parsed" do
      expect(status).to eq(:parsed)
    end
    it "should have parsed 1 event" do
      expect(events.count).to eq(1)
    end
	describe 'event 0' do
      subject { events[0] }
      its(:type) { is_expected.to be(:malware_host) }
      its(:fqdns) { is_expected.to match_array(["cg79wo20kl92doowfn01oqpo9mdieowv5tyj.com"]) }
    end
  end

  describe_parsing_a_record 'x6p.in' do
    it "should have parsed" do
      expect(status).to eq(:parsed)
    end
    it "should have parsed 1 event" do
      expect(events.count).to eq(1)
    end
	describe 'event 0' do
      subject { events[0] }
      its(:type) { is_expected.to be(:malware_host) }
      its(:fqdns) { is_expected.to match_array(["x6p.in"]) }
    end
  end
end


